<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

if (!class_exists('\Elementor\Widget_Base')) {
    return;
}

class Elementor_Event_Calendar_Widget extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'events-calendar';
    }

    public function get_title()
    {
        return esc_html__('Events Calendar', 'dev-blocks');
    }

    public function get_icon()
    {
        return 'eicon-calendar';
    }

    public function get_categories()
    {
        return ['general'];
    }

    public function get_keywords()
    {
        return ['event', 'calendar', 'date'];
    }

    public function get_custom_help_url()
    {
        return 'https://go.elementor.com/widget-name';
    }

    protected function get_upsale_data()
    {
        return [];
    }

    protected function register_controls()
    {
        // Add your controls for the widget here
    }

    protected function render()
    {
        $current_month = date('m');
        $current_year = date('Y');

        $month = $_SESSION['month'] ?? $_GET['month'] ?? $current_month;
        $year = $_SESSION['year'] ?? $_GET['year'] ?? $current_year;

        // Sanitize the input
        $month = filter_var($month, FILTER_VALIDATE_INT, ['options' => ['default' => $current_month, 'min_range' => 1, 'max_range' => 12]]);
        $year = filter_var($year, FILTER_VALIDATE_INT, ['options' => ['default' => $current_year]]);

        // Use the get_or_build_calendar function to get the calendar HTML
        echo get_or_build_calendar($year, $month);
    }

    public function public_render()
    {
        $this->render();
    }
}
