<?php

$events = [];
if ($the_query->have_posts()) {
    while ($the_query->have_posts()) {
        $the_query->the_post();
        $event_date = date('Y-m-j', strtotime(get_field('event_start')));
        $events[$event_date][] = [
            'title' => get_the_title(),
            'start' => get_field('event_start')
        ];
    }
}
wp_reset_postdata();

?>

<div class="calendar" id="calendar-block">
    <div class="calendar-header">
        <h2 class="calendar-header-title"><?= date('F Y', strtotime("$year-$month-01")); ?></h2>
        <div class="calendar-header-nav">
            <?php if ($year < $current_year || ($year == $current_year && $month <= $current_month)): ?>
                <span class="calendar-nav-button disabled">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                        stroke="currentColor" class="calendar-nav-button-icon">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5 8.25 12l7.5-7.5" />
                    </svg>
                </span>
            <?php else: ?>
                <button onclick="changeMonth(<?= $prev_year; ?>, <?= $prev_month; ?>)" class="calendar-nav-button">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                        stroke="currentColor" class="calendar-nav-button-icon">
                        <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 19.5 8.25 12l7.5-7.5" />
                    </svg>
                </button>
            <?php endif; ?>
            <button onclick="changeMonth(<?= $next_year; ?>, <?= $next_month; ?>)" class="calendar-nav-button">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="calendar-nav-button-icon">
                    <path stroke-linecap="round" stroke-linejoin="round" d="m8.25 4.5 7.5 7.5-7.5 7.5" />
                </svg>
            </button>
        </div>
    </div>
    <div class="calendar-body">
        <div class="calendar-row">
            <div class="calendar-cell header">Mon</div>
            <div class="calendar-cell header">Tue</div>
            <div class="calendar-cell header">Wed</div>
            <div class="calendar-cell header">Thu</div>
            <div class="calendar-cell header">Fri</div>
            <div class="calendar-cell header">Sat</div>
            <div class="calendar-cell header">Sun</div>
        </div>
        <?php
        $start_of_month = date("Y-m-01", strtotime("$year-$month-01"));
        $days_in_month = date('t', strtotime($start_of_month));
        $day_of_week = date('N', strtotime($start_of_month));
        $day_counter = 1;
        while ($day_counter <= $days_in_month) { ?>
            <div class="calendar-row">
                <?php for ($i = 1; $i <= 7; $i++): ?>
                    <?php if ($day_of_week > $i && $day_counter === 1): ?>
                        <div class="calendar-cell empty"></div>
                    <?php else: ?>
                        <?php if ($day_counter > $days_in_month) {
                            break;
                        }
                        $date = date('Y-m-j', strtotime("$year-$month-" . str_pad($day_counter, 2, '0', STR_PAD_LEFT)));
                        $events_for_day = $events[$date] ?? []; ?>
                        <div class="calendar-cell <?= !empty($events_for_day) ? ' has-event' : ''; ?>">
                            <span class="calendar-cell-date"><?= $day_counter; ?></span>
                            <?php if (!empty($events_for_day)): ?>
                                <div class="event-details">
                                    <?php foreach ($events_for_day as $event): ?>
                                        <div class="event-item">
                                            <h3><?= esc_html($event['title']); ?></h3>
                                            <p><?= date('d.m.y H:i', strtotime($event['start'])); ?></p>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <?php $day_counter++;
                    endif;
                endfor; ?>
            </div>
        <?php } ?>
    </div>
</div>