document.addEventListener('DOMContentLoaded', function () {
	window.changeMonth = function (year, month) {
		const calendarBlock = document.getElementById('calendar-block');
		const loadingOverlay = document.createElement('div');
		loadingOverlay.style.position = 'absolute';
		loadingOverlay.style.top = '0';
		loadingOverlay.style.left = '0';
		loadingOverlay.style.width = '100%';
		loadingOverlay.style.height = '100%';
		loadingOverlay.style.display = 'flex';
		loadingOverlay.style.alignItems = 'center';
		loadingOverlay.style.justifyContent = 'center';
		loadingOverlay.style.backgroundColor = 'rgba(255, 255, 255, 0.8)';
		loadingOverlay.innerHTML = '<div>Loading...</div>';
		calendarBlock.style.position = 'relative';
		calendarBlock.appendChild(loadingOverlay);

		const params = new URLSearchParams({
			action: 'calendar_nav',
			year: year,
			month: month,
			nonce: ajax_object.nonce,
		});

		fetch(ajax_object.ajaxurl, {
			method: 'POST',
			credentials: 'same-origin',
			headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
			body: params,
		})
			.then((response) => response.text())
			.then((html) => {
				calendarBlock.outerHTML = html;
			})
			.catch((error) => {
				console.error('Error loading the month:', error);
				loadingOverlay.innerHTML =
					'<div>Error loading content. Please try again.</div>';
			})
			.finally(() => {
				calendarBlock.style.position = '';
				calendarBlock.removeChild(loadingOverlay);
			});
	};
});
